Subject: Re: git push --confirm ?

From: Uri Okrent <[email-masked]>
Date: Sun, 13 Sep 2009 09:59:01 -0700

Jeff King wrote:
[snip]
> Besides being a lot more annoying to implement, there is one big
> downside: in many cases the single TCP connection is a _feature_. If you
> are pushing via ssh and providing a password manually, it is a
> significant usability regression to have to input it twice.
> 
> Also, given that ssh is going to be by far the biggest transport for
> pushing via the git protocol, I suspect any timeouts are set for
> _before_ the authentication phase (i.e., SSH times you out if you don't
> actually log in). So in that sense it may not be worth worrying about
> how long we take during the push itself.

That doesn't seem like a huge hurdle to overcome. Most ssh clients support some
sort of ServerAliveInterval parameter for just this reason. Sending a keep alive
packet every 60 seconds or so while waiting for user confirmation doesn't seem
all that egregious.
-- 
    Uri

Please consider the environment before printing this message.
http://www.panda.org/how_you_can_help/